<template>
  <!-- 农村沼气转型升级 -->
  <div class="methaneUpgrade">
    <MethaneMap></MethaneMap>
    <StatusControl
      :statusStyle="{ position: 'absolute', right: 0, top: '100px' }"
      :list="statusControlList"
      v-model="statusValue"
    ></StatusControl>
  </div>
</template>

<script>
import StatusControl from "@/components/statusControl/index.vue";
import MethaneMap from "./components/methaneMap";
export default {
  name: "MethaneUpgrade",
  data() {
    return {
      dateLevel: "year",
      curTime: "",
      play: false,
      statusControlList: [
        { key: "small", value: "小型沼气工程" },
        { key: "middle", value: "中型沼气工程" },
        { key: "big", value: "大型沼气工程" },
        { key: "ExtraLarge", value: "特大型沼气工程" },
      ],
      statusValue: "small",
    };
  },
  components: {
    MethaneMap,
    StatusControl,
  },
  methods: {
    showDatePicker() {
      console.log("asdfsadf");
      this.$refs.datePicker.focus();
      console.log(this.$refs.datePicker);
    },
    // 清除播放事件
    clearPlay() {
      this.play = false;
      clearInterval(this.timer);
    },
  },
};
</script>

<style lang="less" scoped>
.methaneUpgrade {
  position: relative;
  height: 100vh;
}
</style>
